Skip to main content
GET
Get scan details

Authorizations

Authorization
string
header
required

Get access to data with your API token. Example header:

Authorization: Bearer 2991e2fb4b540fe75b8f90677b0b892b6314e4961cb001fe6eb452eee248a628

The token can be provisioned from the Tokens section in your Settings, and requires explicitly enabling Web API access.

Path Parameters

deploymentId
string<int64>
required

Deployment ID (numeric). Example: 123. Can be found at /deployments, or in your Settings in the web UI.

Example:

123

scanId
string<int64>
required

Scan ID (numeric). Example: 456. Can be found at /deployments/{deploymentId}/scans/search.

Example:

456

Response

200 - application/json

OK

completed_at
string

imestamp of when the scan started.

Example:

"2023-11-18T23:28:12.391Z"

deployment_id
integer<int64>

The unique ID of the deployment associated with the scanned repository.

Example:

120

enabled_products
string[]

The products used when running the scan.

Example:
exit_code
integer<int64>
has_logs
boolean
id
integer<int64>

The unique ID representing this scan.

Example:

123

meta
object
repository_id
integer<int64>

The unique ID of the repository that was scanned.

Example:

1234567

started_at
string

when the scan was started

Example:

"2023-11-18T23:28:12.391Z"

stats
object

Miscellaneous statistics about the scan, like number of findings found and scan duration.

Example: